<!doctype html>
<html lang="ru">

<head>
    <meta charset="UTF-8">
    <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Lab 1</title>

    <style>
        #frame_result {
            width: 100%;
        }

        html, body, .main {
            height: 100%;
        }

        body {
            background-color: #282a36;
            color: #f8f8f2;
        }

        .main {
            display: flex;
        }

        .label_input {
            padding: 10px 10px;
            display: flex;
        }

        .label_input label {
            min-width: 100px;
        }

        .URL {
            min-width: 300px;
            color: #f8f8f2;
            background-color: #454158;
            border-radius: 8px;
            outline: none;
            border: none;
        }

        .message_text {
            min-width: 300px;
            max-width: 300px;
            color: #f8f8f2;
            background-color: #454158;
            border-radius: 8px;
            border: none;
            outline: none;
        }

        .button {
            background-color: #454158;
            color: #f8f8f2;
            border-radius: 8px;
            border: none;
            width: 200px;
            height: 30px;
            margin-top: 20px;
        }

        .letter_frame {
            border: #f8f8f2;
            border: none;
            max-width: 40%;
            min-height: 90%;
            margin-left: 15%;
            margin-top: 10px;
        }
    </style>
</head>

<body>
    <div class="main">
        <div>
            <form id="make_html_form">
                <div class="label_input">
                    <label for="image_url">Image URL: </label>
                    <input class="URL" id="image_url" type="text">
                </div>

                <div class="label_input">
                    <label for="text">Text: </label>
                    <textarea id="text" class="message_text" cols="30" rows="10"></textarea>
                </div>

                <input class="button" type="submit">
            </form>

            <button id="make_pdf" class="button">Make PDF!</button>
        </div>

        <iframe id="frame_result" class="letter_frame" scrolling="yes"></iframe>
    </div>

    <script src="{{ url_for('static', filename='js/lib/axios.min.js') }}"></script>
    <script src="{{ url_for('static', filename='js/lib/download.min.js') }}"></script>
    <script type="text/javascript" src="{{ url_for('static', filename='js/main.js') }}"></script>
</body>

</html>